This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 37663 - Tool to generate RPMs for NetBeans
Summary: Tool to generate RPMs for NetBeans
Status: RESOLVED FIXED
Alias: None
Product: www
Classification: Unclassified
Component: Builds & Repositories (show other bugs)
Version: 3.x
Hardware: PC Linux
: P3 blocker (vote)
Assignee: Jaroslav Tulach
URL:
Keywords:
Depends on:
Blocks: 36757
  Show dependency tree
 
Reported: 2003-12-02 12:37 UTC by Jaroslav Tulach
Modified: 2004-02-09 09:42 UTC (History)
0 users

See Also:
Issue Type: TASK
Exception Reporter:


Attachments
Additional changes in module manifests to support symlinks (5.71 KB, patch)
2004-02-06 08:18 UTC, Jaroslav Tulach
Details | Diff
$HOME/.rpmmacros (230 bytes, text/plain)
2004-02-06 08:42 UTC, Jaroslav Tulach
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2003-12-02 12:37:00 UTC
Provide a tool that will generate RPM files for
NetBeans distributions.
Comment 1 Jaroslav Tulach 2003-12-02 12:40:38 UTC
Module nbbuild has been branched to rpm_37663 in order to accomodate
the development. Use:

cvs upd -r rpm_37663 nbbuild 

to get the right sources.
Comment 2 Jaroslav Tulach 2004-02-06 08:18:39 UTC
Created attachment 13283 [details]
Additional changes in module manifests to support symlinks
Comment 3 Jaroslav Tulach 2004-02-06 08:41:08 UTC
I believe the investigation phase is more or less over. To build the
rpms checkout nbbuild with tag rpm_37663 (also it is necessary to
delete nbbuild/antsrc/org/netbeans/nbbuild/XMLValidate.java) and take
sources for release36 and invoke the build by saying

ant build-rpms

this will build the NetBeans-Src*.zip with all sources, then strip
unneccessary sources from it creating NetBeans-StripSrc*.zip and based
on this file create a source RPM package. The build then continues by
executing rpm --rebuild the_source_package.src.rpm and finally
produces the RPMs.

The content of RPMs and their dependencies is determined from NBMs.
The build first builds NBMs for all modules and based on content of
their Info.xml and manifests composes dependencies and layout of RPMs.
The nbbuild/build.xml defines which NBMs will belong into which RPMs,
it also specifies the prefix of the install directory (right now ide-36).

In order to build the RPM it is necessary to have proper configuration
of RPM. The $HOME/.rpmmacros are attached, copy them and also create
initial directory structure:

$HOME/rpm/BUILD/  
$HOME/rpm/RPMS/  
$HOME/rpm/SOURCES/  
$HOME/rpm/SPECS/  
$HOME/rpm/SRPMS/  
$HOME/rpm/tmp/

Comment 4 Jaroslav Tulach 2004-02-06 08:42:08 UTC
Created attachment 13284 [details]
$HOME/.rpmmacros
Comment 5 Jaroslav Tulach 2004-02-06 08:46:01 UTC
The changes need to be merged into trunk, but otherwise they are done.
Comment 6 Jaroslav Tulach 2004-02-09 09:42:06 UTC
I have forgotten to mention that there is about twenty tests to verify
that the converstion from NBM to RPM behaves correctly. Invoke them by 

ant -f nbbuild/test/build.xml